Share feedback
Answers are generated based on the documentation.

Get namespace

GET/namespaces/{namespace}
Gets metadata associated with specified namespace, including extra repos associated with the namespace.

Connection and access

API connection and authentication guidance

https://hub.docker.com/api/publisher/analytics/v1

Use one of these alternatives. Requirements within an alternative apply together.

  • HubAuth

Parameters

namespace path Required

Namespace to fetch data for

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

Success

application/json

Schema: NamespaceMetadata

Schema example

{
  "datasets": [
    {
      "name": "pulls",
      "timespans": [
        "months",
        "weeks"
      ],
      "views": [
        "raw",
        "summary",
        "repo-summary",
        "namespace-summary",
        "geo-repo-summary"
      ]
    }
  ],
  "extensionPublisher": false,
  "extraRepos": null,
  "namespace": "org1",
  "publisherType": "DVP"
}

Schema example

{
  "datasets": [
    {
      "name": "pulls",
      "timespans": [
        "months",
        "weeks"
      ],
      "views": [
        "repo-summary",
        "namespace-summary"
      ]
    },
    {
      "name": "extensions",
      "timespans": [
        "months",
        "weeks"
      ],
      "views": [
        "ext-summary"
      ]
    }
  ],
  "extensionPublisher": true,
  "extraRepos": null,
  "namespace": "org4",
  "publisherType": "DVP"
}

Referenced schemas

#/components/schemas/NamespaceMetadata

Complete operation contract
{
  "description": "Gets metadata associated with specified namespace, including extra repos associated with the namespace.",
  "operationId": "getNamespace",
  "parameters": [
    {
      "description": "Namespace to fetch data for",
      "in": "path",
      "name": "namespace",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/NamespaceMetadata"
          }
        }
      },
      "description": "Success"
    }
  },
  "summary": "Get namespace",
  "tags": [
    "discovery"
  ]
}